package com.ruoyi.bar.mapper;

import java.util.List;
import com.ruoyi.bar.domain.WyBar;

/**
 * 酒吧Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-02
 */
public interface WyBarMapper 
{
    /**
     * 查询酒吧
     * 
     * @param id 酒吧主键
     * @return 酒吧
     */
    public WyBar selectWyBarById(Long id);
    public Integer selectBarCount();

    /**
     * 查询酒吧列表
     * 
     * @param wyBar 酒吧
     * @return 酒吧集合
     */
    public List<WyBar> selectWyBarList(WyBar wyBar);

    /**
     * 新增酒吧
     * 
     * @param wyBar 酒吧
     * @return 结果
     */
    public int insertWyBar(WyBar wyBar);

    /**
     * 根据酒吧号查询酒吧
     * @return 酒吧
     */
    public WyBar selectWyBarByNumber(String barNumber);

    /**
     * 修改酒吧
     * 
     * @param wyBar 酒吧
     * @return 结果
     */
    public int updateWyBar(WyBar wyBar);

    /**
     * 删除酒吧
     * 
     * @param id 酒吧主键
     * @return 结果
     */
    public int deleteWyBarById(Long id);

    /**
     * 批量删除酒吧
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBarByIds(Long[] ids);
}
